VIPW(8)

NAME
vipw, vigr - bearbeitet die Passwort-, Gruppen-, Shadow-Passwort- oder Shadow-Gruppen-Datei

ÜBERSICHT

vipw [Optionen]

vigr [Optionen]

BESCHREIBUNG

Die Befehle vipw und vigr bearbeiten die Dateien /etc/passwd beziehungsweise /etc/group. Mit der Option -s bearbeiten Sie die Shadow-Versionen beider Dateien, /etc/shadow und /etc/gshadow. Die Programme werden die geeigneten Sperren setzen, um eine Beschädigung der Dateien zu verhindern. Wenn ein Editor benötigt wird, wird zuerst die Umgebungsvariable $VISUAL ausgewertet, danach die Umgebungsvariable $EDITOR. Zuletzt wird der Standard-Editor vi(1) verwendet.

OPTIONEN

Die Optionen, die von den Befehlen vipw und vigr unterstützt werden, sind:

-g, --group
    bearbeitet die Gruppendatenbank

-h, --help
    zeigt die Hilfe an und beendet das Programm

-p, --passwd
    bearbeitet die Passwd-Datenbank

-q, --quiet
    stiller Modus

-R, --rootCHROOT_VERZ
    führt die Veränderungen in dem Verzeichnis CHROOT_VERZ durch und verwendet die Konfigurationsdateien aus dem Verzeichnis CHROOT_VERZ

-s, --shadow
    bearbeitet die Shadow- oder Gshadow-Datenbank

UMGEBUNGSVARIABLEN

VISUAL
    der verwendete Editor

EDITOR
    der verwendete Editor, wenn VISUAL nicht gesetzt ist

DATEIEN

/etc/group
    Informationen zu den Gruppenkonten

/etc/gshadow
    sichere Informationen zu den Gruppenkonten

/etc/passwd
    Informationen zu den Benutzerkonten

/etc/shadow
    verschlüsselte Informationen zu den Benutzerkonten

SIEHE AUCH

vi(1),group(5), gshadow(5), passwd(5), , shadow(5).